module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				excutor=[[atkobj]],
				face_to=[[fixed_pos]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=0,
			},
			func_name=[[FaceTo]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_41601_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[4]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.05,
		},
		[5]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_416/Prefabs/416_attack1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=-0.35,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.05,
		},
		[6]={args={},func_name=[[MagcAnimStart]],start_time=0.33,},
		[7]={args={},func_name=[[MagcAnimEnd]],start_time=0.6,},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.9,
		},
		[9]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_416/Prefabs/416_hit1.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=-0.1,
			},
			func_name=[[BodyEffect]],
			start_time=0.9,
		},
		[10]={args={},func_name=[[End]],start_time=1.4,},
	},
	group_cmds={},
	magic_anim_end_time=0.6,
	magic_anim_start_time=0.33,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_416/Prefabs/416_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_416/Prefabs/416_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
